Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

tags
string[]

Comma separated list of tags. Mutually exclusive with entities and owner_names parameter. Currently a single tag is allowed in a request.

entities
string[]

Comma separated list of entities. Mutually exclusive with tags and owner_names parameter.

locations
string[]

Comma separated list of entity locations (asset representation where the entity has been tagged). Currently a single entity location is allowed per each request.

owner_names
string[]

Comma separated list of owner names. Mutually exclusive with tags and entities parameters. Currently a single owner name is allowed in a request.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

Response

List of tagged entities. Ordered by tuple (entity, tag, location, start_time) if requested by providing entities parameter. Ordered by tuple (tag, location, entity, started_time) if requested by providing tags parameter. Ordered by tuple (owner_name, location, entity, tag, timestamp_start) if requested by providing owner_name parameter.

Blockchain metadata tagged entities response

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.